Skip to main content
GET
/
integrations
/
ecr
/
container-registry
/
project
/
{projectId}
/
images
/
{repositoryId}
/
tags
List ECR image tags
curl --request GET \
  --url https://api-eu.cybedefend.com/integrations/ecr/container-registry/project/{projectId}/images/{repositoryId}/tags \
  --header 'x-api-key: <api-key>'
{
  "repositoryName": "<string>",
  "tags": [
    {}
  ],
  "nextToken": "<string>"
}

Authorizations

x-api-key
string
header
required

API Key for authentication. You can generate an API key from your personal settings.

Path Parameters

projectId
string<uuid>
required

CybeDefend project ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

repositoryId
string
required

ECR repository name (URL encoded if contains special characters)

Example:

"myapp"

Query Parameters

credentialId
string<uuid>
required

Credential ID to use for authentication

Example:

"550e8400-e29b-41d4-a716-446655440001"

maxResults
number

Maximum number of results to return

nextToken
string

Token for pagination (returned from previous request)

Response

List of tags retrieved successfully

repositoryName
string

Name of the repository

tags
object[]

Array of available tags

nextToken
string

Token for fetching next page of results